///////
//
// Student: Russell Lowke
//     T.F: Francis Crick
// Unit Six, pencil-and-paper - question 4 [worth 2pts],  7/23/2002
//
//  Write a program that reads the file quick.fox and prints a list,
//  in alphabetical order, of all the lower-case letters that do NOT
//  occur in the file.
//  Include bitset.hpp and use a set to keep track of the letters that
//  have not yet been seen.
//


#include <iostream>
#include <iomanip>
#include <fstream>
#include "bitset.cpp"

int main()
{
	char c;											// read char
	ifstream inStream;								// stream for reading
	bitset letters(26);								// create bitset
	
	inStream.open("quick.fox");						// open file
	
	if (inStream == NULL) {							// file not found
		cout << "quick.fox -- Input file not found!\n";
		exit( 1 );									// readFile failed
	} else {										// file OK
	
		inStream.unsetf(ios::skipws);				// unset skip whitespace	
		
		while (! inStream.eof() ) {
			inStream >> c;
			
			if ( c >= 'a' && c <= 'z' ) {			// lowercase letters only
				letters.include( c - 'a' );			// include into bitset
			}
		}
		inStream.close();
	}
	
	for (int i = 0; i < ('z' - 'a'); i++ ) {
		if ( ! letters.member(i) ) {				// those not in bitset
			cout << (char) ( i + 'a' );				// print
		}
	}
	cout << endl;
	
	exit( 0 );
}



